from import_export import resources
from . import models

# --------------- FINE PREFISSO TEMPLATE ---------------


class ProgettoResource(resources.ModelResource):
    class Meta:
        model = models.Progetto


class ValorizzazioneEconomicaProgettoResource(resources.ModelResource):
    class Meta:
        model = models.ValorizzazioneEconomicaProgetto


class RepositoryResource(resources.ModelResource):
    class Meta:
        model = models.Repository


class TipoRelazioneResource(resources.ModelResource):
    class Meta:
        model = models.TipoRelazione


class AttivitaResource(resources.ModelResource):
    class Meta:
        model = models.Attivita


class RisorsaChiaveResource(resources.ModelResource):
    class Meta:
        model = models.RisorsaChiave


class PropostaDiValoreResource(resources.ModelResource):
    class Meta:
        model = models.PropostaDiValore


class CanaleDiDistribuzioneResource(resources.ModelResource):
    class Meta:
        model = models.CanaleDiDistribuzione


class SettoreDiMercatoResource(resources.ModelResource):
    class Meta:
        model = models.SettoreDiMercato


class FlussoDiRicaviResource(resources.ModelResource):
    class Meta:
        model = models.FlussoDiRicavi


class StrutturaDeiCostiResource(resources.ModelResource):
    class Meta:
        model = models.StrutturaDeiCosti


class SettoreAziendaResource(resources.ModelResource):
    class Meta:
        model = models.SettoreAzienda


class RelazioneConAziendaResource(resources.ModelResource):
    class Meta:
        model = models.RelazioneConAzienda


class TipoAttivitaResource(resources.ModelResource):
    class Meta:
        model = models.TipoAttivita


class ValoreDelProgettoResource(resources.ModelResource):
    class Meta:
        model = models.ValoreDelProgetto


class AttivitaDelProgettoResource(resources.ModelResource):
    class Meta:
        model = models.AttivitaDelProgetto


class AssetDelProgettoResource(resources.ModelResource):
    class Meta:
        model = models.AssetDelProgetto


class RisorsaPersonaleResource(resources.ModelResource):
    class Meta:
        model = models.RisorsaPersonale


class RisorsaFisicaResource(resources.ModelResource):
    class Meta:
        model = models.RisorsaFisica


class RisorsaFinanziariaResource(resources.ModelResource):
    class Meta:
        model = models.RisorsaFinanziaria


class ValoreDellAttivitaResource(resources.ModelResource):
    class Meta:
        model = models.ValoreDellAttivita


class ValorizzazioneEconomicaAttivitaResource(resources.ModelResource):
    class Meta:
        model = models.ValorizzazioneEconomicaAttivita


class AssetDaAttivitaResource(resources.ModelResource):
    class Meta:
        model = models.AssetDaAttivita


class ArchivioFilesResource(resources.ModelResource):
    class Meta:
        model = models.ArchivioFiles


class CanaleDistribuzioneIndirettoResource(resources.ModelResource):
    class Meta:
        model = models.CanaleDistribuzioneIndiretto
